PLANTUML(1)

NAME
plantuml - program to generate UML diagram from a text description

SYNOPSIS
plantuml [options] files/dirs...

DESCRIPTION
PlantUML is used to draw UML diagram, using a simple and human readable text description.

Notice that graphviz is required to be installed for generation of all diagrams but sequence diagrams.

When files/directories are given, they are processed in batch mode. Otherwise GUI window appears. It allows user to browse directories and view diagrams generated from suitable files (must have one of the following extensions: .txt, .tex, .java, .htm, .html, .c, .h, .cpp).

You can use the following wildcards in files/dirs:

*   means any characters but '/'

?   one and only one character but '/'

**  means any characters (used to recurse through directories)

OPTIONS

-tsvg
    Generate images using SVG format.

-output dir, -o dir
    Generate images in the specified directory.

-config file
    Read the provided config file before each diagram.

-charset xxx
    Use a specific charset (default is UTF-8).

-exclude pattern, -x pattern
    Exclude files that match the provided pattern.

-metadata
    Retrieve PlantUML sources from PNG images.

-version
    Display information about PlantUML and Java versions.

-verbose, -v
    Have log information.

-keepfiles
    NOT delete temporary files after process.

-help, -h
    Display help message.

-testdot
    Test the installation of graphviz.

-graphvizdot path
    Specify dot path.

-pipe, -p
    Use stdin for PlantUML source and stdout for PNG/SVG generation.

-computeurl
    Compute the encoded URL of a PlantUML source file.

-decodeurl
    Retrieve the PlantUML source from an encoded URL.

SEE ALSO
graphviz(1).

AUTHOR
PlantUML was written by Arnaud Roques <plantuml@gmail.com>.

This manual page was written by Ilya Paramonov <ivparamonov@gmail.com>, for the Debian project (and may be used by others).